"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apiClient_1 = require("../cpapi/apiClient");
function deleteFewHostsAsynchronously(conf) {
    let apiClient = new apiClient_1.default({ server: conf.server, fingerprint: conf.fingerprint });
    return apiClient.login({ username: conf.user, password: conf.password })
        .then(async () => {
        let hostPromises = [];
        for (let i of Array(30).keys()) {
            hostPromises[i] = apiClient.apiCall('delete-host', { name: 'host' + i });
        }
        for (let hostPromise of hostPromises) {
            await hostPromise;
        }
    }).then(() => {
        return apiClient.publish();
    }).then(() => {
        return apiClient.logout();
    });
}
exports.default = deleteFewHostsAsynchronously;
// deleteFewHostsAsynchronously({server: '172.23.78.75', user: '****', password: '****'});
//# sourceMappingURL=deleteFewHostsAsynchronously.js.map