"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_logging_1 = require("typescript-logging");
const fs = require("fs");
class CustomLogger extends typescript_logging_1.AbstractCategoryLogger {
    constructor(category, runtimeSettings) {
        super(category, runtimeSettings);
    }
    doLog(msg) {
        let message = typescript_logging_1.LogLevel[msg.level].toUpperCase() + ' ';
        if (msg.categories.length > 0) {
            message += '[' + msg.categories[0].name + '] ';
        }
        message += msg.date.toString() + '\n';
        message += msg.messageAsString + '\n';
        fs.promises.writeFile('./cp-mgmt-api-typescript-sdk.log', message, { flag: 'a' });
    }
}
exports.default = CustomLogger;
//# sourceMappingURL=customLogger.js.map